The Stack Overflow podcast is back! Listen to an interview with our new CEO.

Questions tagged [ubuntu]

Ubuntu is a computer operating system based on the Debian Linux distribution and distributed as free and open source software, using its own desktop environment.

Filter by
Sorted by
Tagged with
2
votes
0answers
98 views

QGIS 2.18: Error in NUMPY and GDAL 2.1 [duplicate]

I recently upgraded to Ubuntu 16.0 and installed QGIS 2.18. As I tried it, this error came: ERROR 1: NUMPY driver was compiled against GDAL 2.1 but current library version is 1.11 Segmentation fault ...
12
votes
2answers
3k views

QGIS fails to load

I installed some python libraries using pip (pandas, scipy, simplekml) and ever since every time I try to load QGIS I get this error: Warning: loading of qgis translation failed [/usr/share/qgis/...
4
votes
1answer
977 views

QGIS 2.18.5 update breaks on Ubuntu 16.04 [closed]

Concurrent updates to GDAL (to 2.1.3) and QGIS (to 2.18.5) on Linux Mint 18.1 from the Ubuntugis repos breaks QGIS, with a noted dependency for the virtual package gdal-abi-2-1-2 being uninstallable. ...
0
votes
1answer
1k views

How to install PostGIS extension for PostgreSQL database under Ubuntu?

I am quite a newbie in using Postgres under Ubuntu. I have created a PostgreSQL database and now want to install the PostGIS extension for it so that I can import shapefiles and use the PostGIS ...
2
votes
1answer
2k views

IDE (PyCharm) settings for developing with Processing in Linux (Ubuntu)

How to setup Python interpreter in IDE to develop using Processing module? I need this not for running from IDE, but to have tips about classes, methods, arguments etc. IDE: PyCharm 2016.3 (but ...
1
vote
0answers
51 views

Orfeo ERROR 4: Saving Images?

I am using QGIS 2.18.4 Las Palmas under Ubuntu 16.04. Xenial. At startup, but particularly, when using Orfeo, I get error messages tagged as ERROR 4. My console output. At startup: ERROR 4: /initrd....
1
vote
0answers
409 views

How to read NMEA message using GPSD? [closed]

I am trying to read NMEA messages via GPSD (http://www.catb.org/gpsd/), but I do not know how to do that. I have a GPS antenna which connects to the u-blox M8 GNSS Evaluation Kit Timin (https://www.u-...
3
votes
1answer
282 views

QGIS 2.14.12 Essen / Ubuntu 16.04: Error Numpy/GDAL

I am using QGIS 2.14.12 Essen under Ubuntu 16.04. Xenial. My overarching goal is to use the entire QGIS suite, including GRASS, SAGA, Orfeo and TauDEM. In general, QGIS works fine and so does Grass, ...
3
votes
0answers
482 views

Grid Error – Natural neighbour

I am getting the following Error on using Natural neighbour. There were solutions suggested here & here. But these works fine on Windows but not on Ubuntu. I am using Ubuntu 14.04, QGIS 2.18.4 &...
3
votes
0answers
310 views

Multiple warnings when launching QGIS 2.18 Las Palmas on Ubuntu 16.04

I just installed QGIS 2.18.4 Las Palmas on Ubuntu 16.04 with the UbuntuGIS dependencies. While it seems to be working (for the moment), I get a barrage of warnings when I launch it from the terminal. ...
1
vote
0answers
399 views

QGIS 2.18.3 path and sip module cannot be load in ubuntu 16.04

I'm currently installing QGIS 2.18.3 it works fine at first, after upgrading my ubuntu the problems comes out every time I run my QGIS; it always shows "Couldn't load SIP module. Python support will ...
1
vote
1answer
105 views

Loading Australian Electoral Commission data (MIF/MID) into QGIS for Ubuntu?

I have installed QGIS for Ubuntu (linux) and downloaded some GIS electoral data from the AEC. When I try to open the files (they have MID and MIF extensions), the application does not recognise the ...
0
votes
1answer
261 views

Downloading Collected GPS Data from Trimble Nomad GPS on Ubuntu Desktop

I am wanting to use Ubuntu on some off network computers. We will need to put background layers on the GPS and also download the data we collect. When I plugged the GPS into the ubuntu 16 machine it ...
3
votes
3answers
805 views

How to install gvSIG on Ubuntu 16.04?

I am trying to install gvSIG on Ubuntu 16.04. I would prefer to use the package management system, but it seems this programme has never been packaged. Therefore I went to the website and downloaded ...
0
votes
1answer
359 views

PyWPS installation won't see cpl_port.h

I'm trying to install PyWPS on my computer and when I run sudo python setup.py install I'm receiving : "extensions/gdal_wrap.cpp:2853:22: fatal error: cpl_port.h: No such file or directory ...
0
votes
1answer
89 views

Using ZOO-Project Ubuntu 16

I'm new with using servers but I've been using ubuntu for more than a year now. I've tried to install Zoo-project by following the instructions on the website : http://zoo-project.org/docs/install/...
4
votes
1answer
103 views

zoo-project missing lib libzoo_service.so.1.5

While running this command in zoo-project on ubuntu 14.04 , 64 bit ./zoo_loader.cgi "request=Getcapabilities&servise=wps" ./zoo_loader.cgi: error while loading shared libraries: libzoo_service....
1
vote
0answers
54 views

zoo-project installation [closed]

While following the documentation given here for Ubuntu 14.04 on the command " ./configure --with-js --with-python " When i check the installation logs there are some "no" my concern is shall i ...
9
votes
2answers
3k views

Cannot run Grass algorithms in QGIS 2.18 on Ubuntu 16.04

I have QGIS and GRASS installed through the UbuntuGIS repositories. If I try to execute any GRASS 6 or 7 algorithm I get the following error message: "This algorithm cannot be run :-( It seems that ...
3
votes
1answer
3k views

QGIS ImportError: No module named 'PyQt5.QtSvg'

Recently, I've installed QGIS 2.99 on my new Ubuntu 16.04 LTS desktop: sudo gedit /etc/apt/sources.list deb http://qgis.org/debian-nightly xenial main deb-src http://qgis.org/debian-nightly xenial ...
2
votes
2answers
505 views

Unable to open GRASS GIS from command line

I am trying to start GRASS GIS from the command line in ubuntu 14.04 and i keep getting the following error: user@computer:~$ grass Cleaning up temporary files... Traceback (most recent call last): ...
5
votes
5answers
3k views

Problem getting SAGA activated in Ubuntu QGIS 2.18.2

By some reason SAGA does not appear into Processing Toolbox list although I have checked it to be active. See screen capture. What could be the problem? QGIS vesion is 2.18.2 and OS is Ubuntu 16.04 (...
3
votes
2answers
758 views

Installing GeoServer

I have edited my post to make it look more clear. I wanted to upgrade GeoServer from v.2.7.1 to v.2.10.1 on Ubunutu 14.4. I deployed v.2.7.1 in Tomcat Web Application Manager. I have downloaded v2.10....
5
votes
2answers
2k views

How to configure QGIS (SAGA, GRASS algorithms) in Ubuntu

I have installed GRASS GIS following this install manual. I have installed SAGA GIS following this install manual. and finally I have installed QGIS 2.18.1 following the official details for ...
1
vote
0answers
73 views

Link Geodatabase to GeoTiff on Ubuntu?

I downloaded gridded soils data from gSSURGO and used ArcGIS to export the raster to a GeoTiff of keys for use on Linux. On my Ubuntu machine, I have imported the GeoTiff to QGIS as a raster layer, ...
1
vote
1answer
695 views

Launching QGIS from the command-line

When I run qgis (version 2.14) from the command line in Ubuntu 14.04 LTS I get a Segmentation fault (core dumped) (detailed error messages included below). However QGIS opens and runs perfectly when I ...
3
votes
1answer
1k views

Installation of QGIS on ubuntu 14.04 LTS trusty

I am having the same problems as in those previous posts QGIS 2.14 fails to install on Ubuntu 14.04 Installing the latest QGIS version on Ubuntu 14.04 QGIS update from 2.14 to 2.16 failed on Ubuntu ...
4
votes
1answer
816 views

Installing QGIS 2.18 fails on Ubuntu Xenial (16.04)

I recently upgraded Ubuntu from 14.04 to 16.04. I had previously been using QGIS 2.14 which I had built from source against GDAL 2.10. After the upgrade QGIS no longer worked so I attempted to ...
3
votes
0answers
242 views

Import gSSURGO gridded data to QGIS?

How do I view the gridded data provided by gSSURGO in QGIS? Following the instructions here (File Geodatabase (*.gdb) support in QGIS?), I'm able to import the vector data and tables with no ...
1
vote
1answer
346 views

Couldn't load plugin 'processing' Ubuntu 14.04.5 Import Error [closed]

I've upgraded QGIS to 2.18 in our Ubuntu 14.05.5 recently, in the process we have some dependency problems with PostGIS but solved updating sources repositories (using http://qgis.org/ubuntugis & ...
2
votes
1answer
129 views

Can't find plugins button on Ubuntu 16.04 - QGIS Las Palmas

I recently installed QGIS 2.18 'Las Palmas' on my Ubuntu system. I have located the "plugin toolbar" but can't seem to find the actual plugins button. In this plugins toolbar, the only button present ...
1
vote
2answers
446 views

Complete install QGIS on Ubuntu

I using QGIS on Ubuntu and Windows, I have some questions for QGIS on Ubuntu, first I follow official details to install QGIS on Ubuntu. On the QGIS on windows I have processing tab to show me ...
2
votes
0answers
523 views

QGIS ubuntu Couldn't load SIP module

I am using Ubuntu 16.04 and installed QGIS 2.18 following the official install details QGIS Installers using link Release with ubuntugis dependencies http://qgis.org/ubuntugis. I have python 2.7.12 on ...
3
votes
4answers
3k views

How compile/install php-mapscript on Ubuntu 16.04

I need to upgrade from Ubuntu 14.04 to 16.04 but php5 is not officially supported on Ubuntu 16. I install php5.5 by ondrej repo https://askubuntu.com/a/756186/483814 but when I try to install php5-...
1
vote
1answer
117 views

Text in Google maps displayed as blocks in Chrome

Any idea why this is happening in Google maps while using Chrome? I can see the text display but then the text changes to blocks when it finishes rendering. I'm using Chrome Version 54.0.2840.90 (64-...
2
votes
1answer
190 views

How to store complete edit history OSM PostgreSQL?

I successfully built a PostgreSQL server on an Ubuntu VM and populated it with the latest Geofabrik .osm.pbf complete dataset for Nepal. Now, I'd like to append to that dataset all of the historic ...
3
votes
0answers
291 views

Python standalone on linux: No module named qgis.core

I am using the Spyder IDE on my Ubuntu LTS 16.04. It does not find the module qgis.core. Therefore I wanted to manually add it to its search path but I do not now where it is located. What is the ...
4
votes
1answer
150 views

SAGA GIS segfaults on launch

I'm having problems with SAGA GIS. It segfaults on launch, either from the command line or when called from QGIS. If I run saga_cmd using gdb, I get this error:- (gdb) run Starting program: /usr/...
1
vote
1answer
126 views

where to find gdal_proximity.py files on ubuntu?

I have installed QGIS, and I use gdal_proximity.py to get a proximity raster, I would like to know where can I find that file on an ubuntu 14.04 distribution. I ran find command in the .qgis2 ...
1
vote
0answers
32 views

Raster displays on different locations on windows and ubuntu

I have worked on some continental scale raster and vector datasets and all rasters are saved as Netcdf´s. This was done by converting rasters with different timestamps and variables to a Netcdf file....
1
vote
1answer
121 views

Can't fetch addons in GRASS GIS 7.0.4 on Ubuntu 14.04

I'm setting up a new install of GRASS 7.0.4 (from Ubuntugis) on Ubuntu 14.04 and having trouble installing addons. Specifically, when I try to "fetch and install extensions from GRASS Addons," I ...
2
votes
4answers
3k views

How to get ECW support on QGIS 2.16 - Ubuntu 16.04?

after several attempts I am still not able to enable ECW support on QGIS on Ubuntu Xenial. Before updating to latest version of Ubuntu, solution proposed here worked for me on the same machine, but ...
1
vote
1answer
271 views

Creating Custom OSM Map Stylesheet (Ubuntu tileserver)

I have researched, but not found yet a way to create custom stylesheets like ex.: OSMBright, or carto-openstreetmap stylesheets, and integrate it on my own Ubuntu Tileserver from Openstreetmap data. ...
0
votes
1answer
393 views

Error g.extension GRASS GIS in Ubuntu

I'm trying to install a module in GRASS GIS, the v.lidar.mcc, however the script g.extension is showing the following error below: * g.extension extension=v.lidar.mcc url= Traceback (most recent ...
3
votes
0answers
191 views

Error Compiling GDAL with ESRI FileGeodatabase Support On Ubuntu 16.04

I am attempting to build GDAL in Docker/Ubuntu 16.04 for use in Postgis2.2/OGR_FDW on Postgres 9.6 beta3 using the travis.yml of the 2.1_gcc5.2_sanitize coverage branch as a guide -as there is oddly ...
1
vote
0answers
241 views

ECW support on QGIS version 2.14.4-Essen (Ubuntu 14.04) [closed]

someone know how to abilitate ECW support on QGIS version 2.14.4-Essen (Ubuntu 14.04)?
5
votes
3answers
346 views

Qgis globe plugin (2.16) missing on Ubuntu 14.04

I just upgraded from Qgis 2.14 to 2.16 and I can't get the Globe plugin to work. Apparently, under Ubuntu it is necessary to install it separately. But in the Ubuntugis repository, only version 2.14 ...
2
votes
1answer
1k views

Restoring PostGIS 2.1. dump in PostGIS 2.2

I tryed to restore my old PostGIS dumps (Postgis 2.1, PostgreSQL 9.1) at my new system (PostGIS 2.2 and PostgreSQL 9.5) I was using pgadmin3 to dump the databases and was now trying to restore it ...
3
votes
1answer
692 views

QGIS update from 2.14 to 2.16 failed on Ubuntu 14.04 [closed]

Until yesterday my whole qgis and python-qgis worked fine with version 2.14 under Ubuntu 14.04. After a simple sudo apt-get update and sudo apt-get upgrade qgis failed to update... Several attempts to ...
6
votes
1answer
2k views

Where to find a version of libgeos-c1 compatible with libgeos-3.5.0?

This morning a number of Python scripts stopped functioning after a system upgrade. libgdal is no longer available, resulting in the following exception: ImportError: libgdal.so.1: cannot open shared ...